Inconsistent dependecies

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Inconsistent dependecies

Pavol Žilecký
Hi,

running maven Dependency Convergence on our project we got these results for jersey version 2.22.2:

  +-org.glassfish.jersey.media:jersey-media-json-jackson:2.22.2
    +-com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:2.5.4
      +-com.fasterxml.jackson.core:jackson-databind:2.5.4
        +-com.fasterxml.jackson.core:jackson-annotations:2.5.0
and
  +-org.glassfish.jersey.media:jersey-media-json-jackson:2.22.2
    +-com.fasterxml.jackson.core:jackson-annotations:2.5.4

It seems that there is a inconsitency in dependency com.fasterxml.jackson.core:jackson-annotations

So, I thought you should know about it.

Best regards,
Pavol Zilecky

--
Umotional

Pavol Zilecky
Software Engineer and Data specialist at Umotional

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Inconsistent dependecies

Pavel Bucek-2
Hi Pavol,

isn't it possible that you have jackson dependency somewhere else? That could override the version declared in Jersey poms..

$ git checkout 2.22.2
$ mvn dependency:tree | grep jackson-annotations
[INFO] +- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:test
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:test
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] +- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO]    \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] +- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:test
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO]    \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |     |  +- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO]    \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile
[INFO] |  \- com.fasterxml.jackson.core:jackson-annotations:jar:2.5.4:compile

Regards,
Pavel

On 19/04/16 11:35, Pavol Žilecký wrote:
Hi,

running maven Dependency Convergence on our project we got these results for jersey version 2.22.2:

  +-org.glassfish.jersey.media:jersey-media-json-jackson:2.22.2
    +-com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:2.5.4
      +-com.fasterxml.jackson.core:jackson-databind:2.5.4
        +-com.fasterxml.jackson.core:jackson-annotations:2.5.0
and
  +-org.glassfish.jersey.media:jersey-media-json-jackson:2.22.2
    +-com.fasterxml.jackson.core:jackson-annotations:2.5.4

It seems that there is a inconsitency in dependency com.fasterxml.jackson.core:jackson-annotations

So, I thought you should know about it.

Best regards,
Pavol Zilecky

--
Umotional

Pavol Zilecky
Software Engineer and Data specialist at Umotional


Loading...